import '../css/global.css'
import '../css/customInput.css'
import BlackButton from './components/customButton'
import { useState, useEffect } from 'react';

function NamePage() {
    const [name, setName] = useState(() => {
        return sessionStorage.getItem("name") || '';
    });

    const [lang] = useState(() => {
        return sessionStorage.getItem("lang") || 'English';
    });

    useEffect(() => {
        sessionStorage.setItem("name", name);
    }, [name]);

    const text = {
        title: lang === 'Thai' ? 'อยากให้เรียกคุณว่าอะไร?' : 'What should we call you?',
        continue: lang === 'Thai' ? 'ดำเนินการต่อ' : 'Continue'
    }

    return (
        <div style={{
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
            height: '100vh',
            flexDirection: 'column',
          }}>
            <label className='title'>{text.title}</label>

            <div style={{
                height: '8vh'
            }}/>

            <input className='input' value={name} onChange={e => setName(e.target.value)}/>

            <div style={{
                height: '8vh'
            }}/>
            {
                name==''?
                    <></>
                :
                    <BlackButton text={text.continue} to='/introduction'/>
            }
        </div>
    )
}

export default NamePage
